#ifndef __OPENGL_H__
#define __OPENGL_H__

#ifdef _WIN32
#include "glut.h"
#else
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#endif

#include "tools.h"
/* Rsolution de la fentre OpenGL		*/
extern int format[4][2];
/* RESOLUTION */
#define R1280_1024	0
#define R1024_768 	1
#define R800_600 	2
#define R640_480 	3

int TailleXredr,TailleYredr;
int TailleXscan,TailleYscan;
int TailleXtrack,TailleYtrack;
int Handle_Tracking,Handle_Scanline,Handle_Redresse;
int bordure;

/* Fonctions seconde fenetre */
void displayScanline		(void);
void reshapeScanline		(GLsizei w, GLsizei h);
/* Fonctions troisime fenetre */
void displayRedressement	(void);
void reshapeRedressement	(GLsizei w, GLsizei h);
/* Fonctiosn premiere fenetre */
void display				(void);
void reshape				(GLsizei w, GLsizei h);
void clavier				(unsigned char key, int x, int y);
void mousePassiveMotion		(int x, int y);
void mousePassiveMotionRedre(int x,int y);
void mouseMove				(int x, int y);
void mouse					(int b, int s, int x, int y);
void TrackProcess			(int trackmode);
void Idle					(void);

int Full;						/* Indicateur de plein cran (par zoom)		*/
int id;							/* Indicateur d'affichage des indentifiants */
int Width,Height;				/* Dimension de l'interface					*/
int mouse_trackx,mouse_tracky;	/* Coordonnes souris (tracking)			*/
int	mouse_scanx,mouse_scany;	/* Coordonnes souris (scanline)			*/

#endif

